﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Media.Imaging;
using System.Windows.Data;
using System.Globalization;

namespace xamDataGrid1
{
    public class ActiveToIconConverter : IMultiValueConverter
    {  
        public object Convert(object[] value, Type targetType, object parameter, CultureInfo culture)
        {
            bool isFrozen = (bool)value[0];
            bool isActive = (bool)value[1];

            if (isActive)
                return new BitmapImage(new Uri("/xamDataGrid1;component/Images/xamDataGrid_sm.png", UriKind.RelativeOrAbsolute));
            else if (isFrozen)
                return new BitmapImage(new Uri("/xamDataGrid1;component/Images/xamDataPresenter_sm.png", UriKind.RelativeOrAbsolute));
            else
                return null;
        }

        public object[] ConvertBack(object value, Type[] targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
